<?php

/*

Script looks in specified directory and returns a ::-separated list
of the URLs or false if no URLs file is found.

========================================================================

The full path to this file is going to be something like:

/Users/username/Library/Widgets/SlideShow.wdgt/php/readurls.php

...or, if this widget is enabled for everyone...

/Library/Widgets/SlideShow.wdgt/php/readurls.php

In either case, we'll chop off the file name and php directory and add
the photos directory to the path, then look for URLs there.

*/
$dir = substr(__FILE__,0,-16).'photos';

// if the string is an actual directory, proceed
if ($dh = opendir($dir)) {
	$urls = '';
	
	while (($file = readdir($dh)) !== false) {
		// if this is the URLs file, add it's contents to a list
		if ($file == '_urls.txt') {
			$urls = file_get_contents($dir.'/'.$file);
			break;
		}
	}
	closedir($dh);
	
	// replace newlines with ::
	$urls = str_replace("\r\n",'::',$urls);
	
	// replace any trailing ::
	if (substr($urls,-2) == '::') $urls = substr($urls,0,-2);
	
	// if there weren't any captions, set it to false
	if (strlen($urls) < 1) $urls = "false";
} else {
	$urls = "false";
}

// return our value
fwrite(STDOUT,$urls);

?>